src/Entity/Presentation.php
<?php

namespace App\Entity;

use App\Repository\PresentationRepository;
use Doctrine\ORM\Mapping as ORM;

#[ORM\Entity(repositoryClass: PresentationRepository::class)]
class Presentation
{
    #[ORM\Id]
    #[ORM\GeneratedValue]
    #[ORM\Column(type: 'integer')]
    private $id;

    #[ORM\Column(type: 'string', length: 100, nullable: true)]
    private $titre_pres;

    #[ORM\Column(type: 'text', nullable: true)]
    private $paragraphe1_pres;

    #[ORM\Column(type: 'text', nullable: true)]
    private $paragraphe2_pres;

    #[ORM\Column(type: 'text', nullable: true)]
    private $paragraphe3_pres;

    public function getId(): ?int
    {
        return $this->id;
    }

    public function getTitrePres(): ?string
    {
        return $this->titre_pres;
    }

    public function setTitrePres(?string $titre_pres): self
    {
        $this->titre_pres = $titre_pres;

        return $this;
    }

    public function getParagraphe1Pres(): ?string
    {
        return $this->paragraphe1_pres;
    }

    public function setParagraphe1Pres(?string $paragraphe1_pres): self
    {
        $this->paragraphe1_pres = $paragraphe1_pres;

        return $this;
    }

    public function getParagraphe2Pres(): ?string
    {
        return $this->paragraphe2_pres;
    }

    public function setParagraphe2Pres(?string $paragraphe2_pres): self
    {
        $this->paragraphe2_pres = $paragraphe2_pres;

        return $this;
    }

    public function getParagraphe3Pres(): ?string
    {
        return $this->paragraphe3_pres;
    }

    public function setParagraphe3Pres(?string $paragraphe3_pres): self
    {
        $this->paragraphe3_pres = $paragraphe3_pres;

        return $this;
    }
}

src/Form/PresentationType.php
<?php

namespace App\Form;

use App\Entity\Presentation;
use Symfony\Component\Form\AbstractType;
use Symfony\Component\Form\FormBuilderInterface;
use Symfony\Component\OptionsResolver\OptionsResolver;

class PresentationType extends AbstractType
{
    public function buildForm(FormBuilderInterface $builder, array $options): void
    {
        $builder
            ->add('titre_pres')
            ->add('paragraphe1_pres')
            ->add('paragraphe2_pres')
            ->add('paragraphe3_pres')
        ;
    }

    public function configureOptions(OptionsResolver $resolver): void
    {
        $resolver->setDefaults([
            'data_class' => Presentation::class,
        ]);
    }
}

src/Controller/PresentationController.php
<?php

namespace App\Controller;

use App\Entity\Presentation;
use App\Form\PresentationType;
use App\Repository\PresentationRepository;
use Symfony\Bundle\FrameworkBundle\Controller\AbstractController;
use Symfony\Component\HttpFoundation\Request;
use Symfony\Component\HttpFoundation\Response;
use Symfony\Component\Routing\Annotation\Route;

#[Route('/presentation')]
class PresentationController extends AbstractController
{
    #[Route('/', name: 'app_presentation_index', methods: ['GET'])]
    public function index(PresentationRepository $presentationRepository): Response
    {
        return $this->render('presentation/index.html.twig', [
            'presentations' => $presentationRepository->findAll(),
        ]);
    }

    #[Route('/new', name: 'app_presentation_new', methods: ['GET', 'POST'])]
    public function new(Request $request, PresentationRepository $presentationRepository): Response
    {
        $presentation = new Presentation();
        $form = $this->createForm(PresentationType::class, $presentation);
        $form->handleRequest($request);

        if ($form->isSubmitted() && $form->isValid()) {
            $presentationRepository->add($presentation);
            return $this->redirectToRoute('app_presentation_index', [], Response::HTTP_SEE_OTHER);
        }

        return $this->renderForm('presentation/new.html.twig', [
            'presentation' => $presentation,
            'form' => $form,
        ]);
    }

    #[Route('/{id}', name: 'app_presentation_show', methods: ['GET'])]
    public function show(Presentation $presentation): Response
    {
        return $this->render('presentation/show.html.twig', [
            'presentation' => $presentation,
        ]);
    }

    #[Route('/{id}/edit', name: 'app_presentation_edit', methods: ['GET', 'POST'])]
    public function edit(Request $request, Presentation $presentation, PresentationRepository $presentationRepository): Response
    {
        $form = $this->createForm(PresentationType::class, $presentation);
        $form->handleRequest($request);

        if ($form->isSubmitted() && $form->isValid()) {
            $presentationRepository->add($presentation);
            return $this->redirectToRoute('app_presentation_index', [], Response::HTTP_SEE_OTHER);
        }

        return $this->renderForm('presentation/edit.html.twig', [
            'presentation' => $presentation,
            'form' => $form,
        ]);
    }

    #[Route('/{id}', name: 'app_presentation_delete', methods: ['POST'])]
    public function delete(Request $request, Presentation $presentation, PresentationRepository $presentationRepository): Response
    {
        if ($this->isCsrfTokenValid('delete'.$presentation->getId(), $request->request->get('_token'))) {
            $presentationRepository->remove($presentation);
        }

        return $this->redirectToRoute('app_presentation_index', [], Response::HTTP_SEE_OTHER);
    }
}

templates/presentation/_delete_form.html.twig
<form method="post" action="{{ path('app_presentation_delete', {'id': presentation.id}) }}" onsubmit="return confirm('Are you sure you want to delete this item?');">
    <input type="hidden" name="_token" value="{{ csrf_token('delete' ~ presentation.id) }}">
    <button class="btn">Delete</button>
</form>

templates/presentation/_form.html.twig
{{ form_start(form) }}
    {{ form_widget(form) }}
    <button class="btn">{{ button_label|default('Save') }}</button>
{{ form_end(form) }}

templates/presentation/edit.html.twig
{% extends 'base.html.twig' %}

{% block title %}Edit Presentation{% endblock %}

{% block body %}
    <h1>Edit Presentation</h1>

    {{ include('presentation/_form.html.twig', {'button_label': 'Update'}) }}

    <a href="{{ path('app_presentation_index') }}">back to list</a>

    {{ include('presentation/_delete_form.html.twig') }}
{% endblock %}

templates/presentation/index.html.twig
{% extends 'base.html.twig' %}

{% block title %}Presentation index{% endblock %}

{% block body %}

    {{ include('header/index.html.twig') }}

    {# <h1>Presentation index</h1>

    <table class="table">
        <thead>
            <tr>
                <th>Id</th>
                <th>Titre_pres</th>
                <th>Paragraphe1_pres</th>
                <th>Paragraphe2_pres</th>
                <th>Paragraphe3_pres</th>
                <th>actions</th>
            </tr>
        </thead>
        <tbody>
        {% for presentation in presentations %}
            <tr>
                <td>{{ presentation.id }}</td>
                <td>{{ presentation.titrePres }}</td>
                <td>{{ presentation.paragraphe1Pres }}</td>
                <td>{{ presentation.paragraphe2Pres }}</td>
                <td>{{ presentation.paragraphe3Pres }}</td>
                <td>
                    <a href="{{ path('app_presentation_show', {'id': presentation.id}) }}">show</a>
                    <a href="{{ path('app_presentation_edit', {'id': presentation.id}) }}">edit</a>
                </td>
            </tr>
        {% else %}
            <tr>
                <td colspan="6">no records found</td>
            </tr>
        {% endfor %}
        </tbody>
    </table>

    <a href="{{ path('app_presentation_new') }}">Create new</a> #}

    <div id="bodyProposDiv">
        <main class="mainPropos">     

            <h2 class="h1Apropos">test</h2>
            <p class="textPropos">test</p>

                                    
            <img
                class="imgPropos"
                src=""
                alt="Premiere image"
            />
            <p class="textPropos">test</p>
            <img
                class="imgPropos"
                src=""
                alt="Deuxieme image"
            />
            <p class="textPropos">test</p>
        </main>
    </div>

    {{ include('footer/index.html.twig') }}

{% endblock %}

templates/presentation/new.html.twig
{% extends 'base.html.twig' %}

{% block title %}New Presentation{% endblock %}

{% block body %}
    <h1>Create new Presentation</h1>

    {{ include('presentation/_form.html.twig') }}

    <a href="{{ path('app_presentation_index') }}">back to list</a>
{% endblock %}

templates/presentation/show.html.twig
{% extends 'base.html.twig' %}

{% block title %}Presentation{% endblock %}

{% block body %}
    <h1>Presentation</h1>

    <table class="table">
        <tbody>
            <tr>
                <th>Id</th>
                <td>{{ presentation.id }}</td>
            </tr>
            <tr>
                <th>Titre_pres</th>
                <td>{{ presentation.titrePres }}</td>
            </tr>
            <tr>
                <th>Paragraphe1_pres</th>
                <td>{{ presentation.paragraphe1Pres }}</td>
            </tr>
            <tr>
                <th>Paragraphe2_pres</th>
                <td>{{ presentation.paragraphe2Pres }}</td>
            </tr>
            <tr>
                <th>Paragraphe3_pres</th>
                <td>{{ presentation.paragraphe3Pres }}</td>
            </tr>
        </tbody>
    </table>

    <a href="{{ path('app_presentation_index') }}">back to list</a>

    <a href="{{ path('app_presentation_edit', {'id': presentation.id}) }}">edit</a>

    {{ include('presentation/_delete_form.html.twig') }}
{% endblock %}